d3.csv('https://gist.githubusercontent.com/sreepavanKothapalli/85450fa20fa073e03e6bd60214e54051/raw/0feedb6348e71fe7a9c1d6508bd6e1bd266a3cf0/Bedtime.csv', function(err, rows){
function unpack(rows, key) {
	return rows.map(function(row)
	{ return row[key]; });}

var trace1 = {
	x:unpack(rows, 'Sleepduration'), 
  y: unpack(rows, 'Sleepefficiency'), 
  z: unpack(rows, 'Deepsleeppercentage'),
	mode: 'markers',
	marker: {
		size: 12,
		line: {
		color: 'rgba(217, 217, 217, 0.14)',
		width: 0.5},
		opacity: 0.8},
	type: 'scatter3d'
};

var trace2 = {
	x:unpack(rows, 'Sleepduration'), 
  y: unpack(rows, 'Sleepefficiency'), 
  z: unpack(rows, 'Deepsleeppercentage'),
	mode: 'markers',
	marker: {
		color: 'rgb(127, 127, 127)',
		size: 12,
		symbol: 'circle',
		line: {
		color: 'rgb(204, 204, 204)',
		width: 1},
		opacity: 0.8},
	type: 'scatter3d'};

var data = [trace1, trace2];
var layout = {margin: {
	l: 0,
	r: 0,
	b: 0,
	t: 0
  }};
Plotly.newPlot('myDiv', data, layout);
});
